Bug 1909396 - F34FailsToInstall: netresolve-backends-aresdns, netresolve-backends-avahi, netresolve-backends-compat, netresolve-backends-ubdns, netresolve-compat, netresolve-core, netresolve-tools
Summary: F34FailsToInstall: netresolve-backends-aresdns, netresolve-backends-avahi, ne...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netresolve
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2020-12-19 16:51 UTC by Miro Hrončok
Modified: 2021-06-11 01:19 UTC (History)
3 users (show)

Fixed In Version: netresolve-0.0.1-0.29.20160317git.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-11 01:19:09 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2020-12-19 16:51:22 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (netresolve) Fails To Install in Fedora 34:

can't install netresolve-backends-aresdns:
  - nothing provides libldns.so.2()(64bit) needed by netresolve-backends-aresdns-0.0.1-0.28.20160317git.fc33.x86_64
  
can't install netresolve-backends-avahi:
  - nothing provides libldns.so.2()(64bit) needed by netresolve-backends-avahi-0.0.1-0.28.20160317git.fc33.x86_64
  
can't install netresolve-backends-compat:
  - nothing provides libldns.so.2()(64bit) needed by netresolve-backends-compat-0.0.1-0.28.20160317git.fc33.x86_64
  
can't install netresolve-backends-ubdns:
  - nothing provides libldns.so.2()(64bit) needed by netresolve-backends-ubdns-0.0.1-0.28.20160317git.fc33.x86_64
  
can't install netresolve-compat:
  - nothing provides libldns.so.2()(64bit) needed by netresolve-compat-0.0.1-0.28.20160317git.fc33.x86_64
  
can't install netresolve-core:
  - nothing provides libldns.so.2()(64bit) needed by netresolve-core-0.0.1-0.28.20160317git.fc33.x86_64
  
can't install netresolve-tools:
  - nothing provides libldns.so.2()(64bit) needed by netresolve-tools-0.0.1-0.28.20160317git.fc33.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Miro Hrončok 2020-12-20 13:05:23 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 34.

Thanks for taking care of it!

Comment 2 Zdenek Dohnal 2021-06-02 04:19:32 UTC
I'm sorry, I'm still hitting this in F33. Today's dnf log:

 Problem: package netresolve-core-0.0.1-0.28.20160317git.fc33.x86_64 requires libldns.so.2()(64bit), but none of the providers can be installed
  - cannot install both ldns-1.7.1-4.fc33.x86_64 and ldns-1.7.0-32.fc33.x86_64
  - cannot install the best update candidate for package netresolve-core-0.0.1-0.28.20160317git.fc33.x86_64
  - cannot install the best update candidate for package ldns-1.7.0-32.fc33.x86_64

Reopening.

Comment 3 Fedora Update System 2021-06-02 10:50:00 UTC
FEDORA-2021-87c18dd24d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-87c18dd24d

Comment 4 Fedora Update System 2021-06-03 01:30:26 UTC
FEDORA-2021-87c18dd24d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-87c18dd24d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-87c18dd24d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-06-11 01:19:09 UTC
FEDORA-2021-87c18dd24d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.